Bug 826750 - [abrt] gnome-packagekit-3.4.0-1.fc17: _IO_vfprintf_internal: Process /usr/bin/gpk-update-viewer was killed by signal 11 (SIGSEGV)
[abrt] gnome-packagekit-3.4.0-1.fc17: _IO_vfprintf_internal: Process /usr/bin...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
abrt_hash:0a686c86979ba293d894a0c17c9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-30 18:01 EDT by kaler0
Modified: 2013-07-31 20:42 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 20:42:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (7.96 KB, text/plain)
2012-05-30 18:01 EDT, kaler0
no flags Details
File: backtrace (248.15 KB, text/plain)
2012-05-30 18:01 EDT, kaler0
no flags Details
File: maps (26.31 KB, text/plain)
2012-05-30 18:01 EDT, kaler0
no flags Details
File: dso_list (8.19 KB, text/plain)
2012-05-30 18:02 EDT, kaler0
no flags Details
File: var_log_messages (16.02 KB, text/plain)
2012-05-30 18:02 EDT, kaler0
no flags Details

  None (edit)
Description kaler0 2012-05-30 18:01:44 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        gpk-update-viewer
comment:        Appeared many "all software is up to date - close the window" windows
crash_function: _IO_vfprintf_internal
executable:     /usr/bin/gpk-update-viewer
kernel:         3.3.7-1.fc17.i686
pid:            19380
time:           mié 30 may 2012 23:46:27 CEST
uid:            1000

backtrace:      Text file, 254103 bytes
core_backtrace: Text file, 8152 bytes
dso_list:       Text file, 8385 bytes
maps:           Text file, 26939 bytes
var_log_messages: Text file, 16409 bytes

build_ids:
:6b82547ae5075244e956a22de90414b7e2d9f51e
:9aea670864d2a34a222fd110376f7946b702de7c
:9d0d384e15c03e0a8ee6e25ea9cff7c186087755
:0a1a8bf5237a71d763d23520783335c8fe6c31dd
:b8602922498add598a7a2e2dc4db4d97d36117d0
:57d6de5ff5536ed125c804f036da93c46399c6e4
:bf1658540b64c855f479155817cd8cf73d74a7ed
:e22e1e456283c0cdf171447a61c4f04e354f8b2a
:4bd9cd3a78fa841a2bcf0df8c7e838b80cccd5f3
:4c23c393ed8b8565bd8e90d5b57a868ba0ccfab3
:979e395488d74de1284616d22e5b1a2f929bf42e
:e0185ee9a89ad3f701e8fa2c658e242b453d4d2b
:d74e309f7f349388b9a030bf4a0fea06628bdffd
:38cca83f1479b6c765d41139cb7e4a3dfe659111
:31054406efb1dc8ec398187d39df5a7fc56e9843
:757d0ed5f496fc377d8558caf8987cefa4679f96
:92aaf9e3a33962226af01da69620e9be799859d4
:4a67be981032dc57d5ce97b19af4581afaa7748b
:62150f38cf11baa1966ed86cf2c4839bd029b0c8
:c48bdbb2542d5d7ce5b081f57915ca6164dd70b5
:0f22adfaabe11cef7a87e5cc3e66d522ec81800d
:fad91ac353e3532099b38d4dffada3e91cf97fa3
:72a78e5847730928a002fd2c9719c4258a54e265
:1dea598b16178f116893aef3af7688ef1b01edb9
:7468ba793c595989f2e6a123e4a2af42f38ef0fe
:5b5557b5b0427930b220a00961393e29809c42f0
:4723ea68ac0f3366ffaefee6b60b82b1aa2ea5e4
:073a6e8be3691c9090d7e8063df1b719658a25a2
:848a04e2a6ce321422123dd4369d8fff2214d349
:1d6d247cb1c1dc86b34ab960d58c82d7cce35e15
:ebe3db66301a8fffd94c12739d8795d25b14288b
:ad9e27665744b5e0f27506032bcfd11acc11a16c
:bef638b29fdf84e92e8f33383eb8adb175128188
:ccd17c03940a8cb54bb2f9c6f6d76626976fccf7
:9ed05e8e8a8b5707f28623112c1eea0ab4c2da77
:de77b9c1ea8f88712017f4d99ad3d86726f54023
:1e45838087d1220d7a37526cadfc59f7f5c0e20c
:4917bcde22f3be7892a0289b37cf7dfc987c8474
:fdee2102114906bdbb7e74ee8aacdef49a828901
:2b5e7b0c2906e3f8a1335d596d9423c484ab74bf
:e9d77505c0c25e485100590d9d4ad8388805d08d
:e9363a6b468d459c7e4cb0d9757079106b3a882c
:5ed22372ce6aa9cdeb91dab57c67156a2af5f0e4
:7392567de5465b0521510eee724b7a0392bf8e63
:657bed8df5cfda1d7eb24a25a043cfbdf228b933
:8d3308331c237b31f5e500d73e249edd53676aec
:f13e5fa699a7129ee3080ddeb31558ef7578cddb
:cdf4a22ae78a77d387cfbba3d667dba692429114
:d44eca373263d7abb445ddd5bad3dafbccd8cfed
:25db3aa1d5ba511ce1f2615c8b5995285af564b1
:c8c155acc515416efd9d0e407ec2667e30f58083
:327661a5f401b69a985e63c374da3357fb7bd155
:9ff154685b04583c95ef0f393e8be81e3c51ca7b
:c7112059d672dfb1b17ed4be88fa89f30b547841
:3b5cf402ec69a56276e33d4cbc55bda712864c5c
:0192dd2785a5ee3ae8c4e920cb320c702385d4ef
:4937b91cce65df3c4281c4b6b8fc6af15cea1694
:88355dd86bb6db28d6805ab8d9dc0c0f3886e721
:d96abe2591591c9690b8a3567d3eb1a807857cac
:a9580794bfc6165a1f9cbef59f20c90d46c59980
:c9666f5e43b3b03d782acadda76ae3074095c8a4
:0db1085b6f5f26681999bf8762e7374bb8179395
:019e42ad205179335b27f2a79a873fda88ed21a3
:eb7fb99ef83d1ef6e38fa3a8c55771040e47f4f9
:2db83a4c3dc4ba607b77e73639ac847081193f8c
:3e8db068ebbfae69654767b42d9b0475c53121e7
:f33f4f69982b27f076e5f609f26aff70e2d3043e
:c25f4a34816c8918d5cce3f8b7a851948c6db023
:7e9d9994489152b4b37aa5bee934e9f2c8309a54
:030b5d1726ecd29df95bdeeff0b2d62043833fee
:77e07a84b8465cb07946ff3d6b8eea641b3e9677
:dcc657d139ae8e1376df57b844635277883e75b8
:6827db64bf037f6de97ac9f37d50f32f343930a4
:abcfe6b280fcee6f1f127d40d8f54e6b4d896f5a
:346c7f8a791cd1b7be07bfff6f849d658d506a17
:5531b5e0176d5ff2b88ade6aa53115ed1cb53418
:7f3c4b2fc7f49a8e50f936b1435bfcf785b29191
:1cd4f6965c72439a547cd22e0ade7f3cd72e744f
:acccee84fefeebf82dea74d95ce0369573298fe3
:5e5b57d62448af81d6eb5fdd4f7e2b753d04f397
:c231c23d958aa42bb98f000cee5a9a11e090249d
:343c074755b833f6e17ec3108b29b2fc477bd839
:b23f7b89bf3bebd443fa7cfdfa98b6e00c0f8d33

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/dasein/8

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=8
:HOSTNAME=sein
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/dasein/keyring-1YcU9f
:IMSETTINGS_MODULE=none
:USER=dasein
:USERNAME=dasein
:MAIL=/var/spool/mail/dasein
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/dasein/.local/bin:/home/dasein/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/dasein
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=2306
:LANG=es_ES.utf8
:GDM_LANG=es_ES.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/dasein
:SHLVL=1
:LOGNAME=dasein
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-140tgjnkhw,guid=cf23a349dda9403415369bfe000002cb
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:XDG_RUNTIME_DIR=/run/user/dasein
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-dasein-EwzPMG/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/2310,unix/unix:/tmp/.ICE-unix/2310
:SSH_AUTH_SOCK=/run/user/dasein/keyring-1YcU9f/ssh
:GPG_AGENT_INFO=/run/user/dasein/keyring-1YcU9f/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/gpk-update-viewer.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=19380
:DESKTOP_STARTUP_ID=gnome-shell-2502-sein-gpk-update-viewer-10_TIME7302045

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 7826                 processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       7826                 7826                 signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/dasein/.xsession-errors
:pos:	5968
:flags:	02002
:2:/home/dasein/.xsession-errors
:pos:	5968
:flags:	02002
:3:socket:[82975]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[82980]
:pos:	0
:flags:	02004002
:6:socket:[82504]
:pos:	0
:flags:	02004002
:7:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:8:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:9:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:10:socket:[82505]
:pos:	0
:flags:	02004002

smolt_data:
:
:
:General
:=================================
:UUID: cf0d9534-2102-4cca-bbcb-82ffeeb494ca
:SO: Fedora release 17 (Beefy Miracle)
:Nivel de ejecución por defecto: Unknown
:Idioma: es_ES.utf8
:Plataforma: i686
:BogoMIPS: 3325.26
:Fabricante de CPU: GenuineIntel
:Modelo de CPU: Intel(R) Atom(TM) CPU N280   @ 1.66GHz
:Paso del UCP: 2
:Familia de UCP: 6
:Número de Modelo de CPU: 28
:Número de CPUs: 2
:Velocidad del CPU: 1667
:Memoria del Sistema: 994
:Intercambio (swap) del Sistema: 2015
:Vendedor: Sony Corporation
:Sistema: VPCW12J1E C103U7Z1
:Factor de forma: Notebook
:Kernel: 3.3.7-1.fc17.i686
:SELinux Habilitado: 1
:Política de SELinux: targeted
:SELinux Obligado: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Dispositivos
:=================================
:(32902:10169:4173:36964) pci, None, PCI/ISA, 82801GBM (ICH7-M) LPC Interface Bridge
:(6505:4194:4173:36964) pci, atl1c, ETHERNET, AR8132 Fast Ethernet
:(32902:10158:4173:36964) pci, i915, VIDEO, Mobile 945GME Express Integrated Graphics Controller
:(32902:10150:4173:36964) pci, None, VIDEO, Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller
:(32902:10192:4173:36964) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 1
:(32902:10194:4173:36964) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 2
:(4480:2082:4173:36964) pci, sdhci-pci, BASE, R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter
:(4480:1426:4173:36964) pci, r592, BASE, R5C592 Memory Stick Bus Host Adapter
:(32902:10200:4173:36964) pci, snd_hda_intel, MULTIMEDIA, N10/ICH 7 Family High Definition Audio Controller
:(32902:10202:4173:36964) pci, None, SERIAL, N10/ICH 7 Family SMBus Controller
:(5772:43:4187:57367) pci, ath9k, NETWORK, AR9285 Wireless Network Adapter (PCI-Express)
:(32902:9288:4173:36964) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:10180:4173:36964) pci, ata_piix, STORAGE, 82801GBM/GHM (ICH7 Family) SATA IDE Controller
:(32902:10185:4173:36964) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #2
:(32902:10184:4173:36964) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #1
:(32902:10156:4173:36964) pci, agpgart-intel, HOST/PCI, Mobile 945GME Express Memory Controller Hub
:(32902:10186:4173:36964) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #3
:(32902:10187:4173:36964) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #4
:(32902:10188:4173:36964) pci, ehci_hcd, USB, N10/ICH 7 Family USB2 EHCI Controller
:
:
:Información relacionada con el sistema de archivos
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_sein-lv_root / ext4 4096 4096 7207783 5824240 5752081 1810432 1656561 1656561
:/dev/sda5 /boot ext4 1024 1024 508745 427102 401502 128016 127668 127668
:

xsession_errors:
:(gpk-update-viewer:19380): PackageKit-WARNING **: internal error: failed, but no exit code: cancelled
:(gpk-update-viewer:19380): PackageKit-WARNING **: internal error: failed, but no exit code: cancelled
:(gpk-update-viewer:19380): PackageKit-WARNING **: internal error: failed, but no exit code: cancelled
:(gpk-update-viewer:19380): PackageKit-WARNING **: internal error: failed, but no exit code: cancelled
Comment 1 kaler0 2012-05-30 18:01:50 EDT
Created attachment 587861 [details]
File: core_backtrace
Comment 2 kaler0 2012-05-30 18:01:55 EDT
Created attachment 587862 [details]
File: backtrace
Comment 3 kaler0 2012-05-30 18:01:58 EDT
Created attachment 587863 [details]
File: maps
Comment 4 kaler0 2012-05-30 18:02:00 EDT
Created attachment 587864 [details]
File: dso_list
Comment 5 kaler0 2012-05-30 18:02:03 EDT
Created attachment 587865 [details]
File: var_log_messages
Comment 6 Tomas Östlund 2012-06-01 16:03:22 EDT
Updated software through PackageKit (rpm-fusion-free and non-free repo files). After the update was finished, the dialogue with title 

"All software is up to date" 

and text 

"There are no software updates available for your computer at this time." 

was displayed and "flashing", i.e appearing and disappearing fast. I pressed the "OK" button and the program quit and the abrt-applet reported this crash.


backtrace_rating: 4
Package: gnome-packagekit-3.4.0-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 7 Yvan Degardin 2012-06-04 09:15:28 EDT
incident intervenu juste après mise à jour adobe flash player et rpm fusion

backtrace_rating: 4
Package: gnome-packagekit-3.4.2-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 8 Warren Lewis 2012-06-06 09:47:49 EDT
was installing updates for rpmfusion repo configs, it showed 2 updates to the configs at the same time.

backtrace_rating: 4
Package: gnome-packagekit-3.4.2-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 9 Márcio 2012-06-08 02:23:36 EDT
ao instalar os repositórios do rpm fusion e atualizar em seguida 

backtrace_rating: 4
Package: gnome-packagekit-3.4.2-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 10 Steven Côté 2012-06-20 03:22:31 EDT
An automatic update had just finished (updating the rpmfusion keys). There was no user indication that there was a crash, just this abrt report 

backtrace_rating: 4
Package: gnome-packagekit-3.4.2-1.fc17
Architecture: x86_64
OS Release: Fedora release 17 (Beefy Miracle)
Comment 11 Rafael Louback Ferraz 2012-06-21 13:36:38 EDT
just installing rpmfusion

backtrace_rating: 4
Package: gnome-packagekit-3.4.2-1.fc17
Architecture: x86_64
OS Release: Fedora release 17 (Beefy Miracle)
Comment 12 ryanxv 2012-06-22 03:17:52 EDT
This problem occured during a system update.

backtrace_rating: 4
Package: gnome-packagekit-3.4.2-1.fc17
Architecture: x86_64
OS Release: Fedora release 17 (Beefy Miracle)
Comment 13 John H 2012-06-28 05:53:40 EDT
I installed RPM Fusion free and non-free repositories graphically via this web page: http://rpmfusion.org/Configuration/. I then opened "add/remove software to check the repos had been added followed by a manual check for updates. 
First sign of something wrong was repeated display of 'job done' type "ok" dialog boxes stacking on top of each other until the above error message popped up.


backtrace_rating: 4
Package: gnome-packagekit-3.4.2-1.fc17
Architecture: x86_64
OS Release: Fedora release 17 (Beefy Miracle)
Comment 14 John H 2012-07-02 15:50:21 EDT
I have already reported this bug. This occurence is the result of a reinstall of Fedora 17 after a grub failure in Ubuntu when I updated it.

backtrace_rating: 4
Package: gnome-packagekit-3.4.2-1.fc17
Architecture: x86_64
OS Release: Fedora release 17 (Beefy Miracle)
Comment 15 abyss.7 2012-07-09 04:00:23 EDT
1. Download rpm-fusion-free rpm.
2. Install it.
3. Check for updates with "Software Update".
4. Update proposed RPM-Fusion packages.
5. Wait for message "No more updates available" - the dialog windows appear in a lot.
6. Click Ok button in one of the windows.
7. Catch the segmentation fault.


backtrace_rating: 4
Package: gnome-packagekit-3.4.2-1.fc17
Architecture: x86_64
OS Release: Fedora release 17 (Beefy Miracle)
Comment 16 Ernesto Augusto Schettino Benitez 2012-07-11 14:29:40 EDT
I was closing the update manager

backtrace_rating: 4
Package: gnome-packagekit-3.4.2-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 17 Richard Merlier 2012-07-26 13:44:27 EDT
it appears when the message that the update is complete showed up

backtrace_rating: 4
Package: gnome-packagekit-3.4.2-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 18 Eugene Kanter 2012-07-30 10:47:51 EDT
a very end of upgrade process, clicked on OK dialog.

backtrace_rating: 4
Package: gnome-packagekit-3.4.2-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 19 gabriel 2012-09-20 09:52:43 EDT
Started an update. As the update finished, it popped up the message "No new updates" a few times and then crashed.

backtrace_rating: 4
Package: gnome-packagekit-3.4.2-1.fc17
Architecture: x86_64
OS Release: Fedora release 17 (Beefy Miracle)
Comment 20 Markku Piiroinen 2012-10-07 00:45:25 EDT
After update

backtrace_rating: 4
Package: gnome-packagekit-3.4.2-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 21 christian.kirbach@googlemail.com 2012-11-29 06:59:53 EST
clicked office sestion in left pane, selected libreoffice writer, then clicked "pending" at the top in left pane, and I tried to click on "apply"

backtrace_rating: 4
Package: gnome-packagekit-3.6.1-1.fc18
OS Release: Fedora release 18 (Spherical Cow)
Comment 22 Gergely POLONKAI 2013-01-27 15:21:21 EST
Installed upgrades, and clicked OK on the "Updates will require a restart" dialog box.

backtrace_rating: 4
Package: gnome-packagekit-3.6.1-2.fc18
OS Release: Fedora release 18 (Spherical Cow)
Comment 23 Fedora End Of Life 2013-07-03 18:40:02 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 24 Fedora End Of Life 2013-07-31 20:42:10 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.